
Name:           python-pygccxml
Version:        2.2.1
Release:        %mkrel 5
Summary:        Python package for easy C++ declarations navigation
License:        Boost
Group:          Development/Python
Source:         https://github.com/gccxml/pygccxml/archive/v%{version}.tar.gz#/pygccxml-%{version}.tar.gz
URL:            https://github.com/gccxml/pygccxml
BuildRequires:  python3-devel
Requires:       castxml
BuildArch:      noarch


%description
The purpose of the GCC-XML extension is to generate an XML description of a
C++ program from GCC's internal representation. Since XML is easy to parse,
other development tools will be able to work with C++ programs without the
burden of a complicated C++ parser. This is the Python2 version.


%package -n python3-pygccxml
Summary:    Python package for easy C++ declarations navigation
Group:      Development/Python

%description -n python3-pygccxml
The purpose of the GCC-XML extension is to generate an XML description of a
C++ program from GCC's internal representation. Since XML is easy to parse,
other development tools will be able to work with C++ programs without the
burden of a complicated C++ parser. This is the Python3 version.


%prep
%setup -q -n pygccxml-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files pygccxml


%files -n python3-pygccxml -f %{pyproject_files}
%doc README.rst
%license LICENSE.rst



%changelog
* Sat Mar 01 2025 wally <wally> 2.2.1-5.mga10
+ Revision: 2155574
- rebuild for python3.13

* Wed Dec 13 2023 papoteur <papoteur> 2.2.1-4.mga10
+ Revision: 2017844
- rebuild for python 3.12

* Wed Mar 23 2022 umeabot <umeabot> 2.2.1-3.mga9
+ Revision: 1823355
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 tv <tv> 2.2.1-2.mga9
+ Revision: 1783037
- Rebuild for python-3.10

* Wed Feb 02 2022 barjac <barjac> 2.2.1-1.mga9
+ Revision: 1771138
- new version 2.2.1

* Sat Jun 26 2021 wally <wally> 1.9.1-5.mga9
+ Revision: 1733269
- Rebuild for python 3.9

* Thu Jul 23 2020 ovitters <ovitters> 1.9.1-4.mga8
+ Revision: 1608296
- rebuild for removing pythonegg buildrequires in srpm

* Sun Feb 16 2020 umeabot <umeabot> 1.9.1-3.mga8
+ Revision: 1532191
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 tv <tv> 1.9.1-2.mga8
+ Revision: 1441998
- rebuild for python-3.8
- drop python2 subpkg

* Wed Jan 09 2019 shlomif <shlomif> 1.9.1-1.mga7
+ Revision: 1353898
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.7.4-3.mga7
+ Revision: 1289779
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.7.4-2.mga7
+ Revision: 1135567
- Rebuild for python 3.6

* Fri Apr 29 2016 philippem <philippem> 1.7.4-1.mga6
+ Revision: 1007714
- update to 1.7.4, add Python3 version

* Sun Apr 10 2016 philippem <philippem> 1.7.3-1.mga6
+ Revision: 1000056
- update to 1.7.3

* Sat Feb 06 2016 umeabot <umeabot> 1.0.0-5.mga6
+ Revision: 940189
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.0-4.mga5
+ Revision: 745072
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.0-3.mga5
+ Revision: 729456
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.0-2.mga5
+ Revision: 688254
- Mageia 5 Mass Rebuild

* Sat Jun 21 2014 philippem <philippem> 1.0.0-1.mga5
+ Revision: 638285
- adapt to Mageia
+ spuhler <spuhler>
- imported package python-pygccxml


* Fri Dec 11 2009 alexandre@exatati.com.br
- Fixed Require tag in spec file (removed old and left gccxml).
* Thu Dec 10 2009 alexandre@exatati.com.br
- Initial package (1.0.0) for openSUSE.
